Package twisted :: Package internet :: Module gtk2reactor

[show private | hide private]
[frames | no frames]

## Module twisted.internet.gtk2reactor

This module provides support for Twisted to interact with the PyGTK2 mainloop.

In order to use this support, simply do the following:

       |  from twisted.internet import gtk2reactor
       |  gtk2reactor.install()

Then use twisted.internet APIs as usual. The other methods here are not intended to be called directly.

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`Gtk2Reactor` | GTK+-2 event loop reactor.
`PortableGtkReactor` | Reactor that works on Windows.

Function Summary
| ``install`()` Configure the twisted mainloop to be run inside the gtk mainloop.
| ``portableInstall`()` Configure the twisted mainloop to be run inside the gtk mainloop.

Variable Summary
`FakeModule` | `gtk`
`builtin_function_or_method` | `has_key`
`builtin_function_or_method` | `has_key`
`NoneType` | `INFLAGS`
`MetaInterface` | `IReactorFDSet`
`NoneType` | `OUTFLAGS`
`NoneType` | `POLL_DISCONNECTED`
`FakeModule` | `pygtk`
`dict` | `reads`
`dict` | `writes`
`NoneType` | `_simtag`

Function Details

### install()

Configure the twisted mainloop to be run inside the gtk mainloop.

### portableInstall()

Configure the twisted mainloop to be run inside the gtk mainloop.

Variable Details

### gtk

  Type:
    `FakeModule`
  Value:

        <Fake gtk>

### has_key

`has_key` = `__builtin__.dict.has_key`

  Type:
    `builtin_function_or_method`
  Value:

        <built-in method has_key of dict object at 0x81faa04>

### has_key

`has_key` = `__builtin__.dict.has_key`

  Type:
    `builtin_function_or_method`
  Value:

        <built-in method has_key of dict object at 0x81fa974>

### INFLAGS

  Type:
    `NoneType`
  Value:

        None

### IReactorFDSet

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorFDSet'>

### OUTFLAGS

  Type:
    `NoneType`
  Value:

        None

### POLL_DISCONNECTED

  Type:
    `NoneType`
  Value:

        None

### pygtk

  Type:
    `FakeModule`
  Value:

        <Fake pygtk>

### reads

  Type:
    `dict`
  Value:

        {<twisted.internet.default._UnixWaker instance at 0x81b3ff4>: 1}

### writes

  Type:
    `dict`
  Value:

        {}

### _simtag

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:26 2003 | http://epydoc.sf.net